<!DOCTYPE html>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Тайтл-usersTitle</title>
</head>
<body>
<table>
    <tr>
        <th>ID</th>
        <th>First Name</th>
        <th>Last Name</th>
        <th>Age</th>
        <th>Email</th>
    </tr>
    <th:block th:each="user : ${users}">
            <tr>
                <td th:text="${user.id}">...</td>
                <td>
                    <a th:href="@{/users/{id}(id=${user.getId()})}" th:text="${user.firstname}">...</a>
                </td>
                <td>
                    <a th:href="@{/users/{id}(id=${user.getId()})}" th:text="${user.lastname}">...</a>
                </td>
                <td th:text="${user.age}">...</td>
                <td th:text="${user.email}">...</td>
            </tr>
    </th:block>
</table>
<form th:method="GET" th:action="@{/users/new}">
    <input type="submit" value="Add User">
</form>
</body>
</html>